<template>
    <footer class="bg-white body-font">
        <div class="bg-white">
            <div class="container px-5 py-6 mx-auto flex items-center md:flex-row flex-col">
                <div class="text-sm md:ml-6 md:mt-0 mt-4">© {{ currentYear }} {{ $static.metadata.siteName }}</div>
                <div class="footer-links inline-flex md:ml-auto md:mt-0 mt-4 justify-center md:justify-start">
                    <g-link to="https://careers.malt.com/" class="mr-4">Careers</g-link>

                    <g-link to="https://blog.malt.engineering" class="mr-4 f">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 640 512">
                            <!--! Font Awesome Pro 6.1.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. -->
                            <path
                                d="M180.5,74.262C80.813,74.262,0,155.633,0,256S80.819,437.738,180.5,437.738,361,356.373,361,256,280.191,74.262,180.5,74.262Zm288.25,10.646c-49.845,0-90.245,76.619-90.245,171.095s40.406,171.1,90.251,171.1,90.251-76.619,90.251-171.1H559C559,161.5,518.6,84.908,468.752,84.908Zm139.506,17.821c-17.526,0-31.735,68.628-31.735,153.274s14.2,153.274,31.735,153.274S640,340.631,640,256C640,171.351,625.785,102.729,608.258,102.729Z"
                            />
                        </svg>
                    </g-link>

                    <g-link to="https://www.youtube.com/c/MaltFrance" class="mr-4">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 576 512">
                            <!--! Font Awesome Pro 6.1.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. -->
                            <path
                                d="M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z"
                            />
                        </svg>
                    </g-link>
                </div>
            </div>
        </div>
    </footer>
</template>

<static-query>
    query {
        metadata {
            siteName
        }
    }
</static-query>

<script>
    export default {
        data() {
            return {
                currentYear: new Date().getFullYear(),
            };
        },
    };
</script>
<style lang="scss" scoped>
    footer {
        border: 1px solid #c4c4c4;
    }

    .footer-links {
        a {
            @apply text-smalt-blue-900;

            &:hover {
                @apply text-smalt-blue-500;
            }
        }
    }
</style>
